Bug 1796491 - [OKD] failed to create some manifests: unable to get REST mapping for "99_openshift-machineconfig_99-master-ssh.yaml": no matches for kind "MachineConfig" in version [NEEDINFO]
Summary: [OKD] failed to create some manifests: unable to get REST mapping for "99_ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Vadim Rutkovsky
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 15:01 UTC by Nikolaos Leandros Moraitis
Modified: 2020-05-20 19:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:06 UTC
Target Upstream Version:
cduarter: needinfo? (mnguyen)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:28:20 UTC

Description Nikolaos Leandros Moraitis 2020-01-30 15:01:27 UTC
From https://storage.googleapis.com/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-4.4/353/artifacts/e2e-aws/installer/log-bundle-20200130135042.tar  bootstrap/journals/bootkube.log

Jan 30 13:50:43 ip-10-0-3-151 bootkube.sh[10828]: [#2841] failed to create some manifests:
Jan 30 13:50:43 ip-10-0-3-151 bootkube.sh[10828]: "99_openshift-machineconfig_99-master-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-master-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"
Jan 30 13:50:43 ip-10-0-3-151 bootkube.sh[10828]: "99_openshift-machineconfig_99-worker-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-worker-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"



https://prow.svc.ci.openshift.org/log?job=release-openshift-origin-installer-e2e-aws-4.4&id=354


Jobs: https://prow.svc.ci.openshift.org/?job=release-openshift-origin-installer-e2e-aws-4.4

Comment 1 Antonio Murdaca 2020-01-30 15:11:51 UTC
As noted in the slack thread, this is using registry.svc.ci.openshift.org/origin/release:4.4.0-0.okd-2020-01-30-090220 which is from yesterday and doesn't contain https://github.com/openshift/machine-config-operator/pull/1421 which likely fixes this issue.

Moving to Vadim, feel free to close it once you cherry-pick that commit into the fcos branch

Comment 2 Vadim Rutkovsky 2020-01-30 15:57:47 UTC
https://github.com/openshift/machine-config-operator/pull/1423 should fix that

Comment 3 mchebbi@redhat.com 2020-04-10 14:06:53 UTC
Hello,

Do I need to open a new Bugzilla for OCP 4.3 the following issue ?
  
Apr 10 13:20:53 bootstrap bootkube.sh[71400]: "99_openshift-machineconfig_99-worker-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-worker-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"

one similar OKD Bugzilla 1796491 is already on the status VERIFIED.(In reply to Vadim Rutkovsky from comment #2)
> https://github.com/openshift/machine-config-operator/pull/1423 should fix
> that


Hello,

Do I need to open a new Bugzilla for OCP 4.3 the following issue ?
  
Apr 10 13:20:53 bootstrap bootkube.sh[71400]: "99_openshift-machineconfig_99-worker-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-worker-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"

one similar OKD Bugzilla 1796491 is already on the status VERIFIED.

case:02623776

Comment 5 errata-xmlrpc 2020-05-04 11:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581

Comment 6 frank.lamon 2020-05-04 22:58:16 UTC
FYI:  We're still seeing this same exact issue trying to do a bare-metal install of 4.4.3

Comment 11 chrystian 2020-05-11 19:21:44 UTC
Hi every one

FYI: we are the same error in Vspher 6.5 , Openshift installer 4.4.3, RHCOS 4.4.3.

I appreciate your help guys

Comment 12 chrystian 2020-05-11 19:23:57 UTC
(In reply to chrystian from comment #11)
> Hi every one
> 
> FYI: we are the same error in Vspher 6.5 , Openshift installer 4.4.3, RHCOS
> 4.4.3.
> 
> I appreciate your help guys

we attach the logs

http://169.60.27.162/log-bundle-20200511170858.tar.gz

Comment 13 jooho lee 2020-05-13 15:00:51 UTC
I have the same issue.
~~~
May 13 14:56:18 localhost bootkube.sh[7948]: [#1838] failed to create some manifests:
May 13 14:56:18 localhost bootkube.sh[7948]: "99_openshift-machineconfig_99-master-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-master-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"
May 13 14:56:18 localhost bootkube.sh[7948]: "99_openshift-machineconfig_99-worker-ssh.yaml": unable to get REST mapping for "99_openshift-machineconfig_99-worker-ssh.yaml": no matches for kind "MachineConfig" in version "machineconfiguration.openshift.io/v1"
~~~

env: 
- RHV 4.3.9.4
- OpenShift 4.4.3
- CoreOS 4.4.3
- RHV IPI Installation

Comment 14 akamarathunga 2020-05-18 07:35:05 UTC
I have got the same error on,

- vSphere 6.5 UPI
- RHCOS 4.4.3
- Openshift 4.3.3

Comment 15 chrystian 2020-05-20 15:00:34 UTC
@akamarathunga I recomended checK the Direcction of Macs 


"Ethernet adaptor hardware address requirements

When provisioning VMs for the cluster, the ethernet interfaces configured for each VM must use a MAC address from the VMware Organizationally Unique Identifier (OUI) allocation ranges:

    00:05:69:00:00:00 to 00:05:69:FF:FF:FF

    00:0c:29:00:00:00 to 00:0c:29:FF:FF:FF

    00:1c:14:00:00:00 to 00:1c:14:FF:FF:FF

    00:50:56:00:00:00 to 00:50:56:FF:FF:FF

If a MAC address outside the VMware OUI is used, the cluster installation will not succeed".

This resolve my issue on another hands,check again the firewalls,check the DNS and the PTR.

Comment 16 akamarathunga 2020-05-20 19:12:02 UTC
@mnguyen 

I set the MAC address for OCP nodes from VMware OUI.


Note You need to log in before you can comment on or make changes to this bug.